package omq.common.message;

import java.io.Serializable;

import omq.exception.OmqException;

public class Response implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3368363997012527189L;

	private Object result;
	private OmqException error;
	private String id;
	private String idOmq;

	public Response() {
	}

	public Response(String id, String idOmq, Object result, OmqException error) {
		this.id = id;
		this.idOmq = idOmq;
		this.result = result;
		this.error = error;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getIdOmq() {
		return idOmq;
	}

	public void setIdOmq(String idOmq) {
		this.idOmq = idOmq;
	}

	public Object getResult() {
		return result;
	}

	public void setResult(Object result) {
		this.result = result;
	}

	public OmqException getError() {
		return error;
	}

	public void setError(OmqException error) {
		this.error = error;
	}

}
